data:extend(
{
  {
    type = "container",
    name = "cargo-wagon-chest-ver",
    icon = "__Cargo-Wagon-Chests__/graphics/icons/cargo-wagon-chest-ver.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "cargo-wagon-chest-ver"},
    max_health = 800,
    corpse = "big-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      },
      {
        type = "physical",
        percent = 20,
        decrease = 2
      }
    },
    collision_box = {{-0.9, -2.9}, {0.9, 2.9}},
    selection_box = {{-1.0, -3.0}, {1.0, 3.0}},
    fast_replaceable_group = "container-big",
    inventory_size = 576,
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    picture =
    {
      filename = "__Cargo-Wagon-Chests__/graphics/entities/cargo-wagon-chest-ver.png",
      priority = "extra-high",
      width = 72,
      height = 192,
      shift = {0, 0}
    }
  },
  {
    type = "container",
    name = "cargo-wagon-chest-hor",
    icon = "__Cargo-Wagon-Chests__/graphics/icons/cargo-wagon-chest-hor.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "cargo-wagon-chest-hor"},
    max_health = 800,
    corpse = "big-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      },
      {
        type = "physical",
        percent = 20,
        decrease = 2
      }
    },
    collision_box = {{-2.9, -0.9}, {2.9, 0.9}},
    selection_box = {{-3.0, -1.0}, {3.0, 1.0}},
    fast_replaceable_group = "container-big",
    inventory_size = 576,
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    picture =
    {
      filename = "__Cargo-Wagon-Chests__/graphics/entities/cargo-wagon-chest-hor.png",
      priority = "extra-high",
      width = 206,
      height = 64,
      shift = {0, 0}
    }
  },
}
)

